﻿html {overflow-y: scroll;}
/*SimpleGridView*/
.simpleimagegridviewitem > div {margin:10px 0px;border:1px solid #ccc;text-align:center;overflow:hidden;}
.simpleimagegridviewitem img {height:80px;margin:5px auto;}
.simpleimagegridviewitem > div > div {text-align: center; padding: 5px;background-color: #ccc;text-overflow: ellipsis;white-space: nowrap;overflow: hidden;}
.simpleimagegridviewitem.selected > div {border:1px solid green;}
/*Validation*/
.Trio-validationvalid {border:1px solid green !important;border-color:green !important;}
.Trio-validationerror {border:1px solid red !important;border-color:red !important;}
/*Bootstrap form*/
form > .form-group > .btn-group > .btn {margin-left:10px;}
    form > .form-group > .btn-group > .btn:first-child {margin-right: 10px;}
/*FilterBox*/
.FilterBoxDotsStyle {margin-left: 3px;padding-left: 3px;padding-right: 3px;cursor: default;position: absolute;float: right;right: 0;top: 5px;}
.filterbox {width: 100%;display: inline;}
/*RomeDateTimePicker*/
img.ui-datepicker-trigger {float: right;top: 10px;position: absolute;right: 16px;}
/*TreeView*/
.tree li {margin: 0px 0;list-style-type: none;position: relative;padding: 20px 5px 0px 5px;}
.tree li::before {content:'';position: absolute;top: 0;width: 1px;height: 100%;right: auto;left: -20px;border-left: 1px solid #ccc;bottom: 50px;}
.tree li::after {content:'';position: absolute;top: 30px;width: 25px;height: 20px;right: auto;left: -20px;border-top: 1px solid #ccc;}
.tree li a {display: inline-block;border: 1px solid #ccc;padding: 5px 10px;text-decoration: none;color: #666;font-family: arial, verdana, tahoma;font-size: 11px;border-radius: 5px;-webkit-border-radius: 5px;-moz-border-radius: 5px;}
.tree > ul > li::before, .tree > ul > li::after, ul.tree > li::before, ul.tree::after {border: 0;}
.tree li:last-child::before {height: 30px;}
.tree li a:hover, .tree li a:hover+ul li a {background: #c8e4f8;color: #000;border: 1px solid #94a0b4;}
.tree li a:hover+ul li::after, .tree li a:hover+ul li::before, .tree li a:hover+ul::before, .tree li a:hover+ul ul::before {border-color: #94a0b4;}
/*General*/
.medium-height-scroll {height:300px;overflow:auto;}
/*FileBrowser*/
.region-filebrowser .dropzone { margin-top:10px; display:none; }
.filebrowser-content .selected > a {background-color:bisque;}
.region-filebrowser #UploadFile {margin-right:10px;}
.region-filebrowser > .row:first-child {margin:0;padding-bottom:10px;border-bottom:1px solid #ccc;}
.region-filebrowser .header, .filebrowser-contenttype-header {padding-top:5px;}
.filebrowser-contenttype-header {margin-left:20px;}
.region-filebrowser #deletefile {display:none;margin-right:10px;}
.filebrowser-contenttype {margin-left: 10px; margin-top: 3px;}

/*CKEditor*/
.cke_toolbox > .cke_toolbar_break {display:none;}
/*Form*/
.form-header-area {min-height:25px;margin-bottom:10px;}
/*CB*/

.hidden {display:none;}

.toolbar-container{background-color: #e6e7e8;text-align: right;height: 30px;}
table.Trio-table-toolbar td {padding: 5px 10px;border-right: 1px solid #fff;}
table.Trio-table-toolbar td:last-child{border-right: none;}
    
.Trio-datagrid {margin-bottom:20px;min-height:350px;}
.Trio-datagrid.full-screen {position: fixed;overflow:auto;right: 0;left: 0;top: 0;bottom: 0;z-index: 9999;height: 100%;min-height: 100%;background-color: white;}
.Trio-datagrid-area.table {margin-bottom:0px;}
.Trio-datagrid-area .columns th{background-color:#ccc;font-weight:bold;}
.Trio-datagrid .headerarea {background-color:#e6e7e8;border-bottom:1px dotted #ccc;}
.Trio-datagrid .headerarea div {display:inline-block;font-weight:bold;line-height:24px;}
.Trio-datagrid .headerarea div.pagination-control {margin-left:10px;font-weight:normal;}
.Trio-datagrid .headerarea div.title,.Trio-datagrid .headerarea div.dependency-control {margin-left:10px;}
.Trio-datagrid .hdisplay {width:20px;float:left;min-height: 1px;}
 ul.binderFilter,.Trio-datagrid ul.grouperPanel,.Trio-datagrid ul.quickFilter  {background-color:#e6e7e8;margin:0px;border-bottom:1px dotted #ccc;}
 ul.binderFilter > li:first-child,.Trio-datagrid ul.grouperPanel > li:first-child,.Trio-datagrid ul.quickFilter > li:first-child {margin-left:10px;}
 ul.binderFilter > li.filterSelection ,.Trio-datagrid li.grouperSelection {height: 26px;width: 120px;text-align: left;border: 1px solid #ccc;padding-left: 10px;padding-right:10px;position: relative;cursor:pointer;}
 ul.quickFilter .filterSelection {width:auto;border: none;}
 ul.definedFilters {overflow: hidden;height: auto;}
 li.filterSelection > span:first-child, .Trio-datagrid li.grouperSelection > span:first-child {padding-right:5px;margin-top:5px;}
 li.filterSelection .select2.select2-container.select2-container--default.select2-container--below {position:absolute;top:25px;left:0;}
.binderFilter .excludedPanel {float:right;}
.binderFilter .filterbutton {margin-top:5px;}
li.grouperSelection .select2.select2-container.select2-container--default.select2-container--below {position:absolute;top:25px;left:0;}
li.filterSelection .selection{display:none;}
li.grouperSelection .selection{display:none;}
.selectionFilterArea {margin-bottom: 10px;margin-top: 10px;}
.Trio-datagrid-area.table {margin-bottom:0px;}
.Trio-datagrid-area .columns th{background-color:#ccc;font-weight:bold;}
.Trio-datagrid-area td.table-row-cell {border:1px solid #e6e7e8;}
.Trio-datagrid-area th.column-cell {border:1px solid #e6e7e8;}
.Trio-datagrid-area th.column-cell > div {display:inline-flex; position:relative;}
.Trio-datagrid-area th.column-cell > div > span:first-child {margin-right: 13px;}
.Trio-datagrid-area th.column-cell > div > span.fa {position: absolute;right: 0;top: 3px;}
.Trio-datagrid-area td.table-row-cell.numbers, .Trio-datagrid-area td.table-row-cell.numbers a {width: 30px;background-color: #4d4d4d;color: #f7f8fa;text-align: center;}
.Trio-datagrid-area td.table-row-cell.commands .tooltip {position: fixed;}
.Trio-datagrid-area .commands div.btn-group{display: inline-flex!important;}
.Trio-datagrid-area div.tooltip {width:auto;}
.Trio-datagrid-area div.tooltip-inner{max-width:200px;padding:3px 8px;color:#fff!important;text-align:center;background-color:#000;border-radius:4px}
.Trio-datagrid-area div.tooltip-arrow{position:absolute;width:0;height:0;border-color:transparent;border-style:solid}
.Trio-datagrid-area tr.createitemrow td.table-row-cell{background-color:#fafafa;}
.Trio-datagrid-area tr:hover td.table-row-cell.numbers,.Trio-datagrid-area tr:hover td.table-row-cell.numbers a,.Trio-datagrid-area tr.createitemrow td.table-row-cell.numbers {width:30px;background-color:#1d1d1d;color:#f7f8fa;text-align:center;}
.Trio-datagrid-area tr.table-row:hover td.focusInput,.Trio-datagrid-area tr.table-row td.focusInput {background-color:#fff}
.Trio-datagrid-area tr.table-row:hover{border-bottom: 2px solid #ccc;border-top: 2px solid #ccc;}
.Trio-datagrid-area focuscolor tr.table-row:hover{border-bottom: 1px solid #ccc;border-top: 1px solid #ccc;}
.Trio-datagrid-area tr:hover td.table-row-cell.numbers.hdisplaynumbers,.Trio-datagrid-area td.table-row-cell.numbers.hdisplaynumbers {text-align:left;}
.Trio-datagrid-area td.table-row-cell.selection {width:30px;padding: 10px 0px 0px 0px;}
.Trio-datagrid-area td.table-row-cell.selection {border:1px solid #e6e7e8;}
.Trio-datagrid-area td.table-row-cell.columntype2 {text-align:right;}
.Trio-datagrid-area td.table-row-cell.columntype8.focusInput {padding:5px;}
.Trio-datagrid-area tr.table-row.totalsrow {font-weight:bold;}
.Trio-datagrid-area input, .Trio-datagrid-area div, .Trio-datagrid-area select {width: 100%;border: none;padding: 0px;margin: 0px;display: block;white-space: nowrap;}
.Trio-datagrid-area input[type="checkbox"],.Trio-datagrid-area input[type="radio"] {margin-top: 3px;}
.Trio-datagrid .chartArea {border: 1px solid #ccc;padding: 20px;}
.Trio-datagrid .chartArea .selectBoxArea {display:inline-block; margin-right:10px;}
.Trio-datagrid .ignoreHierarchyPanel {float:left;float: left;padding-left: 20px;padding-top: 5px;}
.Trio-datagrid .ignoreHierarchyPanel > div,.Trio-datagrid .ignoreHierarchyPanel > input {float:left;}
.Trio-datagrid .ignoreHierarchyPanel > div {padding-right:10px;}
.Trio-datagrid button.saveAsDefinedFilter,.Trio-datagrid button.saveAsSortOrder {margin-top: 3px;margin-right:5px;}
.Trio-datagrid button.saveAsDefinedFilter > span,.Trio-datagrid button.saveAsSortOrder > span {padding-right:5px;}
.Trio-datagrid .savedFilterPopup {display:inline-block; width:250px;margin-right:20px;}
.Trio-datagrid .savedFilterPopup select, .Trio-datagrid .savedFilterPopup input[type="text"] { width:250px; margin-top:10px;}
.Trio-datagrid .backToParentGrouper {border:none;margin-right:10px;}
.Trio-datagrid .ui-sortable .table-row{background-color:#fafafa;cursor:move;}
ul.Triocontextmenu  {z-index:99999;position: absolute;background-color:#efefef;border: 1px solid #ccc;padding: 0px;min-width:200px;list-style:none;cursor:pointer;}
ul.Triocontextmenu li{padding:5px;}
ul.Triocontextmenu li:hover,ul.Triocontextmenu li.selected {background-color:#e1e1e1;}
ul.grouperPanel,ul.binderFilter, ul.quickFilter {width:100%;list-style: none;padding:0;}
ul.grouperPanel > li , ul.binderFilter > li ,ul.quickFilter > li {display: inline-block;margin: 3px 5px 3px 0;vertical-align: top;list-style: none;position:relative;}
ul.quickFilter button {margin-left:0px; text-align:center;}
ul.binderFilter > li > button {padding-right:30px;}
ul.quickFilter > li:first-child {padding-left:8px;}
ul.quickFilter > li > button {margin-right:15px;padding-left:5px;padding-right:5px;}
ul.quickFilter > li > input {padding-left:5px;padding-right:5px;}
ul.grouperPanel > li > button {padding-right:20px;}
ul.grouperPanel > li > a, ul.binderFilter > li > a {display: inline;position:absolute;right:5px;top:3px;}
ul.binderFilter > li .fa-sort-down,ul.quickFilter > li .fa-sort-down {position:absolute;right:22px;}
.cbfilterpanel {width: 300px;background-color: white;position: absolute;z-index: 9997;border:1px solid #ccc;border-radius:3px;}
.cbfilterpanel > div {padding:20px;}
.cbfilterpanel > div input,.cbfilterpanel > div select {width:100%;margin:6px 0px;}
.cbfilterpanel > div input.select2-search__field {margin:0px;}
.cbfilterpanel.datepanel {width: 450px;}
.cbfilterpanel.datepanel  .basicdatefilter {width: 200px;float: left;}
.cbfilterpanel.datepanel  .dateshortcuts {width: 195px;float: right;}
.cbfilterpanel.datepanel  .dateshortcuts .firstcolumn {float: left;width: 85px;}
.cbfilterpanel.datepanel  .dateshortcuts .secondcolumn {float: left;width: 105px;}
.cbfilterpanel .closebutton {width: 20px;height: 20px;right: 0;top: 0;position: absolute;cursor:pointer;}
.cbfilterpanel input[type="checkbox"], .cbfilterpanel input[type="radio"] {width:20px;}
.Trio-table-toolbar span:hover {border-bottom:1px solid;cursor:pointer;}
#defaultfilterdatetimepicker {display:none;}
/*Chart*/
.Triochart {min-width:280px;margin-left:10px;margin-right:10px;text-align:center;overflow-x: auto;}
.Triochart li {padding-bottom:10px;float:left;margin-right:10px;}
.Triochart li span {display: block;left: 10px;width: 20px;height: 20px;border-radius: 5px;float: left; margin: 0px 5px 0px 0px;}
.Triochart ul {list-style: none;right: 8px;top: 30px;}
.Triochart .charttitle {text-align: center;margin-bottom: 20px;font-weight:bold;}
/*Splitter*/
.Trio-splitter {width:100%;height:100%;}
.Trio-splitter .gutter {background-color: transparent;background-repeat: no-repeat;background-position: 50%;}
.Trio-splitter .split {-webkit-box-sizing: border-box;-moz-box-sizing: border-box;box-sizing: border-box;overflow-y: auto;overflow-x: hidden;}
.Trio-splitter .content {border: 1px solid #C0C0C0;box-shadow: inset 0 1px 2px #e4e4e4;background-color: #fff;}.gutter {background-color: transparent;background-repeat: no-repeat;background-position: 50%;}
.Trio-splitter .gutter.gutter-horizontal {cursor: col-resize;background-image: url('/EFiles/Trio.View.Web/splittervertical.png');}
.Trio-splitter .gutter.gutter-vertical {cursor: row-resize;background-image: url('/EFiles/Trio.View.Web/splitterhorizontal.png');}
.Trio-splitter .split.split-horizontal,.Trio-splitter .gutter.gutter-horizontal {height: 100%;float: left;}
.align-right {text-align:right;}
.align-left {text-align:left;}


@media  (min-width:0px) and (max-width: 959px) {
    .mobile:not(.notresponsive) table.Trio-datagrid-container,
    .mobile:not(.notresponsive) .Trio-datagrid-container table.Trio-datagrid-area > thead,
    .mobile:not(.notresponsive) .Trio-datagrid-container table.Trio-datagrid-area > tbody,
    .mobile:not(.notresponsive) .Trio-datagrid-container table.Trio-datagrid-area > tbody > tr > th, .mobile:not(.notresponsive) .Trio-datagrid-container table.Trio-datagrid-area > thead > tr > th,
    .mobile:not(.notresponsive) .Trio-datagrid-container table.Trio-datagrid-area > tbody > tr > td, .mobile:not(.notresponsive) .Trio-datagrid-container table.Trio-datagrid-area > thead > tr > td,
    .mobile:not(.notresponsive) .Trio-datagrid-container table.Trio-datagrid-area > tbody > tr, .mobile:not(.notresponsive) .Trio-datagrid-container table.Trio-datagrid-area > thead > tr {
        display: block !important;
    }
        .mobile:not(.notresponsive) .Trio-datagrid-container table.Trio-datagrid-area > tbody > tr, .mobile:not(.notresponsive) .Trio-datagrid-container table.Trio-datagrid-area > thead > tr {
            border: 1px solid #ccc;
            margin-bottom: 10px;
            border-radius: 4px;
            cursor: pointer;
        }
            .mobile:not(.notresponsive) .Trio-datagrid-container table.Trio-datagrid-area > tbody > tr > td, .mobile:not(.notresponsive) .Trio-datagrid-container table.Trio-datagrid-area > thead > tr > td {
                border: none;
                border-bottom: 1px solid #ccc;
                position: relative;
                padding: 10px 10px;
                padding-left: 50% !important;
                white-space: normal;
                text-align: left;
                min-height: 18px;
            }
                .mobile:not(.notresponsive) .Trio-datagrid-container table.Trio-datagrid-area > tbody > tr > td:before, .mobile:not(.notresponsive) .Trio-datagrid-container table.Trio-datagrid-area > thead > tr > td:before {
                    position: absolute;
                    top: 10px;
                    left: 6px;
                    width: 50%;
                    padding-right: 10px;
                    white-space: nowrap;
                    text-align: left;
                    font-weight: bold;
                    white-space: nowrap !important;
                    overflow: hidden;
                    text-overflow: ellipsis;
                    content: attr(data-columnName);
                }
            .mobile:not(.notresponsive) .Trio-datagrid-container table.Trio-datagrid-area > tbody > tr:first-child, .mobile:not(.notresponsive) .Trio-datagrid-container table.Trio-datagrid-area > thead > tr:first-child {
                position: absolute;
                top: -9999px;
                left: -9999px;
            }
     .mobile:not(.notresponsive) .Trio-datagrid-container .Trio-datagrid-area tr:hover td.table-row-cell.numbers, 
     .mobile:not(.notresponsive) .Trio-datagrid-container .Trio-datagrid-area tr:hover td.table-row-cell.numbers a,
     .mobile:not(.notresponsive) .Trio-datagrid-container .Trio-datagrid-area tr.createitemrow td.table-row-cell.numbers,.mobile:not(.notresponsive) .Trio-datagrid-container .Trio-datagrid-area td.table-row-cell.numbers, .mobile:not(.notresponsive) .Trio-datagrid-container .Trio-datagrid-area td.table-row-cell.numbers a {background-color:transparent; color:inherit;width:auto !important;text-align:right;}
}
@media (min-width:959px) {
    .select2-container ul {width: 100%;border-top: 1px solid #ccc;}
    .select2-container ul li.Trio-multifilterbox.columns div {color: #555;background-color: #ddd;border-color: #ccc;font-weight: bold;display:table-cell;}
    }
/*Multifilter*/
.select2-container ul li {width: 100%; min-width:150px;}
div.Trio-multifilterbox,  .select2-container--open ul li span,.select2-container--open ul li div{overflow: hidden;text-overflow: ellipsis;line-height: 30px;white-space: nowrap;vertical-align: middle;text-align: left;padding: 5px;}
div.Trio-multifilterbox {border-left: 1px solid #ccc;border-right: 1px solid #ccc;}
li.Trio-multifilterbox,  .select2-container--open ul li {width:100%;padding:0;height:42px;min-width:100px; }
li.Trio-multifilterbox {display:table-row;}           
li.Trio-multifilterbox span, li.Trio-multifilterbox div{display:table-cell;}
div.Trio-multifilterbox.w300 {width:300px !important;}
div.Trio-multifilterbox.w200 {width:200px !important;}
div.Trio-multifilterbox.w150 {width:150px !important;}
div.Trio-multifilterbox.w80 {width:80px !important;}
.flowchart-operator .flowchart-operator-title {box-sizing: border-box !important;}
.flowchart-chartarea {width:100%;height:calc(100% - 40px);}
.Trio-fullcalendar {width:100%;height:100%;}
.Trio-fullcalendar .saveAsDefinedFilter {padding: 2px;margin-left: 10px;}
.select2-container.select2-container--default.select2-container--open{z-index:999999;}
.select2-container--default .select2-selection--multiple .select2-selection__choice, .select2-container .select2-search--inline {width:auto;min-width:inherit;}

.form-horizontal .form-group.Trio-generic-commands {margin-left:0px;margin-right:0px;}
html.fullscreenonshow {overflow-y:hidden;}
ul.sortable {-webkit-user-select: none;-moz-user-select: none;-ms-user-select: none;user-select: none;}
ul.sortable li {list-style:none;}
ul.sortable.grid {overflow: hidden;}
ul.sortable.grid li {float: left;}
ul.sortable .handle {cursor: move;}
ul.sortable.connected {float: left;}
ul.sortable li.disabled {opacity: 0.5;}
ul.sortable li.highlight {background: #FEE25F;}
ul.sortable li.sortable-placeholder {border: 1px dashed #CCC;background: none;}

.rd-month.monthandyear {
    width: 100px !important;
    float: left !important;
    border: 1px solid #eee !important;
    padding: 5px !important;
    margin-right: 0px !important;
	cursor: pointer !important;
}
.rd-container.rd-container-attachment.monthandyear {
    width: 322px !important; 
}
.rd-date.monthandyear {
    margin-top:25px !important;
}


div.Trio-alert{
    position:fixed;
    z-index:9999;
    right:20px;
    top:50px;
    min-width: 300px;
    max-width: 300px;
}

.Trio-alert button{
    position: absolute;
    top: 12px;
    right: 8px;
}

.sortableSelector {
    border: 1px solid rgb(238, 238, 238);
    width: 45%;
    height: 200px;
    list-style-type: none;
    margin: 0px 10px 0px 0px;
    padding: 5px 0px 0px;
    display: inline-block;
    float: none;
    overflow-y: scroll;
}

.sortableSelector  li{
    margin: 0px 5px 5px;
    padding: 5px;
    cursor: move;
    background-color: rgb(230, 231, 232);
    font-weight: bold;
}

.sortableSelector .ui-state-disabled {
    border-bottom: 1px solid;
    color: rgb(79, 142, 220);
    opacity: 1;
}

tr.ui-sortable-helper td{width:auto;overflow-y:hidden;}
.intl-tel-input.allow-dropdown {
    z-index:3;
}
.intl-tel-input {width: 100%;height: 34px; display:block !important;}
.document-icon {
    padding-right: 5px;
}
    .document-icon strong {
        font-size: 0.8em;
        background-color: #e6e7e8;
        padding: 3px;
    }

.row-operation-button-group-as-morebutton {
    position: absolute;
    right:5px;
    top:5px;
    float:right !important;
    width:auto !important;
    letter-spacing:3px;
    z-index:999;
    cursor:pointer;
}
.fc-column-deletebutton {
    position:absolute;
    right:0px;
    top:0px;
}
    .fc-column-deletebutton i {
        margin-right:5px;
    }
.noteditable-color {
    color: #721c24 !important;
    background-color: #f8d7da !important;
    border-color: #f5c6cb !important;
}

.modal-dialog.full-size-popup {
    width: calc(100% - 20px);
}

@media (min-width: 768px) {
    .modal-dialog.full-size-popup {
        width: calc(100% - 40px);
    }
}
@media (min-width: 992px) {
    .modal-dialog.full-size-popup {
        width: calc(100% - 60px);
    }
}
@media (min-width:1200px) {
    .modal-dialog.full-size-popup {
        width: calc(100% - 100px);
    }
}
.tab-container .panel {
    border: none !important;
    box-shadow: none !important;
}
.Trio-datagrid-area .columnsfilter td > div > input {
    width: calc(100% - 20px);
    display: inline-flex;
}

tr.columnsfilter > td > div > div.showedFilterParent {
    position: relative;
}

    tr.columnsfilter > td > div > div.showedFilterParent > .cbfilterpanel input, tr.columnsfilter > td > div > div.showedFilterParent > .cbfilterpanel select {
        border: 1px solid #ccc;
    }

    tr.columnsfilter > td > div > div.showedFilterParent > .cbfilterpanel {
        border: 1px solid #ccc;
        min-width: 300px;
    }

        tr.columnsfilter > td > div > div.showedFilterParent > .cbfilterpanel .excludedPanel {
            float: right;
        }

        tr.columnsfilter > td > div > div.showedFilterParent > .cbfilterpanel .filterbutton {
            margin-top: 5px;
        }

        tr.columnsfilter > td > div > div.showedFilterParent > .cbfilterpanel input[type="checkbox"],
        tr.columnsfilter > td > div > div.showedFilterParent > .cbfilterpanel input[type="radio"] {
            display: inline-block;
        }

.Trio-datagrid-container {
    min-height: 500px;
}

.Trio-datagrid-area .columnsfilter td > .filterRowColumnContainer > select, .Trio-datagrid-area .columnsfilter td > .filterRowColumnContainer > input, .Trio-datagrid-area .columnsfilter td > .filterRowColumnContainer .selectionFilterArea {
    width: calc(100% - 20px);
    display: inline-flex;
    border: 1px solid #dedede;
}

.Trio-datagrid-area .filter-cell.minwidth {
    min-width: 200px;
}

.Trio-datagrid-area .columnsfilter td > .filterRowColumnContainer .select2-selection.select2-selection--multiple,
.Trio-datagrid-area .columnsfilter td > .filterRowColumnContainer .select2-container,
.Trio-datagrid-area .columnsfilter td > .filterRowColumnContainer .select2-container--default .select2-selection--multiple,
.Trio-datagrid-area .columnsfilter td > .filterRowColumnContainer .select2-container--default.select2-container--focus .select2-selection--multiple,
.Trio-datagrid-area .columnsfilter td > .filterRowColumnContainer .select2-container,
.Trio-datagrid-area .columnsfilter td > .filterRowColumnContainer .select2-selection__rendered {
    border-radius: 0px;
    border: none;
    box-sizing: initial;
}

    .Trio-datagrid-area .columnsfilter td > .filterRowColumnContainer .select2-container .select2-selection--multiple .select2-selection__rendered {
        display: inline-flex;
    }

.Trio-datagrid-area .columnsfilter td > .filterRowColumnContainer .select2-search__field {
    border: none;
    box-sizing: initial;
}

.Trio-datagrid-area .columnsfilter td > .filterRowColumnContainer .select2-container--default .select2-selection--multiple .select2-selection__clear {
    margin-top: 0px;
}

.Trio-datagrid-area .columnsfilter td > .filterRowColumnContainer .select2-container--default .select2-selection--multiple .select2-selection__choice {
    margin-top: 0px;
    border: none;
}

li.Trio-multifilterbox, .select2-container--open ul li {
    height: auto;
}

.select2-container .select2-selection--multiple {
    min-height: initial !important;
}

.select2-container .select2-search--inline {
    font-size: 12px;
}

    .select2-container .select2-search--inline .select2-search__field {
        margin-top: 0px;
    }

div.Trio-multifilterbox, .select2-container--open ul li span, .select2-container--open ul li div {
    line-height: initial;
    padding: 0px;
}

.Trio-datagrid .cbfilterpanel .basicdatefilter > div {
    display: inline-flex;
    width: 45%;
}

    .Trio-datagrid .cbfilterpanel .basicdatefilter > div:last-of-type {
        padding-left: 10%;
    }

.cbfilterpanel.datepanel .basicdatefilter {
    width: 400px;
    min-height: 130px;
}

.cbfilterpanel.datepanel .dateshortcuts {
    width: 100%;
    margin-top: 10px;
    margin-bottom: 10px;
}

.cbfilterpanel.datepanel .filterbutton {
    margin-bottom:10px;
}

.cbfilterpanel.datepanel .dateshortcuts div {
    float: left;
    width: 33.33%;
}

.cbfilterpanel.datepanel {
    width: 460px;
}

    .cbfilterpanel.datepanel > div > button {
        width: 100%;
        background: #6484aa;
        color: white;
        border: none;
        padding: 3px;
    }

.select2-results__option {
    height: initial;
}

div.Trio-multifilterbox, .select2-container--open ul li.select2-results__option span, .select2-container--open ul li.select2-results__option div {
    padding: 5px;
}

ul.definedFilters {
    overflow: initial;
}

.filterRowColumnContainer.active span {
    color: orange;
}

.Trio-datagrid-area .columnsfilter td > .filterRowColumnContainer > select:focus,
.Trio-datagrid-area .columnsfilter td > .filterRowColumnContainer > input:focus,
.Trio-datagrid-area .columnsfilter td > .filterRowColumnContainer .selectionFilterArea:focus {
    border-color: orange;
}

.Trio-datagrid-area tr.table-row:hover td.focusInput, .Trio-datagrid-area tr.table-row td.focusInput, .Trio-datagrid-area td.table-row-cell.columntype8.focusInput {
    padding: 0px;
    box-shadow: 1px 1px 1px 1px orange;
}

    .Trio-datagrid-area tr.table-row td.focusInput input {
        padding: 5px 10px;
        border: none !important;
    }

    .Trio-datagrid-area tr.table-row td.focusInput select {
        padding: 4px 5px 4px 10px;
        border: none !important;
    }

.Trio-datagrid-area td.focusInput input[type="checkbox"], .Trio-datagrid-area td.focusInput input[type="radio"] {
    margin-top: 8px;
}

.focuseddatagridelement {
    width: 100%;
    height: 1px;
    overflow: hidden;
}

    .focuseddatagridelement:focus {
        text-decoration: none;
        font-style: normal;
    }

.Trio-datagrid-area tr.readonly-datagrid-focus {
    background-color: #eee;
}

ul.binderFilter.definedFilters > li > button, ul.grouperPanel > li > button {
    background-color: transparent;
    border: none;
    border-bottom: 1px solid #6484aa;
    margin-left: 10px;
    padding: 3px 32px 1px 5px !important;
}

.Triochart {
    max-width: 500px;
}

li.filterSelection > span:first-child, .Trio-datagrid li.grouperSelection > span:first-child {
    margin-top: 0px;
}
.try .editor .editor-frame .monaco-Trio-editor, .try .editor .editor-frame #diff-editor {
    min-height: 630px;
}